Jump to content
Sign in to follow this  
karoloydi

Temporary Failure, please Retry

Recommended Posts

Everything was working fine, and now without making any changes I get this message:

 

"Temporary Failure, please Retry"

 

At the same time I noticed a warning in my account regarding some changes that are going to be made with worldpay and I need to make sure to be ready.

 

Anyone knows what this is all about?

Share this post


Link to post
Share on other sites

@@karoloydi

 

Have you contacted World Pay for support ? Are your account credentials accurate in the payment module of your osCommerce store ? Are you working on a live server, or on a local host ?

 

 

 

Chris


:|: Was this post helpful ? Click the LIKE THIS button :|:

 

See my Profile to learn more about add ons, templates, support plans and custom coding (click here)

Share this post


Link to post
Share on other sites

I contacted worldpay, waiting for response. Im working on a live server.

Thats the message I get, it wasnt there yesterday:

 

This is an important reminder: WorldPay will shortly be making some technical changes, these changes may impact your automatic notifications or call backs.

 

If you're still unsure whether this change will affect you, please speak to our technical team who will be happy to help you.

 

These changes will need to be made by 21 November 2013. To find out more about what you need to do, please visit www.worldpay.com/wpg

Share this post


Link to post
Share on other sites

In includes/modules/payment/worldpay_junior.php (2.2 site)

 

or includes/modules/payment/rbsworldpay_hosted.php (2.3 site)

 

Find about Line 38

 

$this->form_action_url = 'https://secure.rbsworldpay.com/wcc/purchase';

 

Replace with

 

$this->form_action_url = 'https://secure.worldpay.com/wcc/purchase';

 

This change should have been made at least a year ago after they changed from rbsworldpay to just worldpay

 

This is the change they are referring to as being required shortly

 

Martin


OsC 2.3.4.1 CE Frozen   PHP 7.2   MySQL 10.1.36-MariaDB-cll-lve. Phoenix in development

Is your version of osC up to date? You'll find the latest osC community version (CE Phoenix 1.0.4.0) here.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×